## videogen 0.21

=== Makefile ===
#
# Makefile for videogen by Szabolcs Rumi, (c) 1997-2001

BINDIR = /usr/X11/bin
MANDIR = /usr/X11/man

CFLAGS = -Wall -g -O
LIBS = -lm

# common targets
videogen:
	gcc videogen.c $(CFLAGS) $(LIBS) -o videogen

clean:
	rm -f videogen core

distclean:
	rm -f videogen core *~

all:
	$(MAKE) clean videogen

install:
	$(MAKE) all
	strip videogen
	cp videogen $(BINDIR)
	cp videogen.1x $(MANDIR)/man1

uninstall:
	rm -f $(BINDIR)/videogen
	rm -f $(MANDIR)/man1/videogen.1x

## videogen 0.32

=== Makefile ===
# +-------------------------------------------------------+
# |                                                       |
# |     videogen                                          |
# |                                                       |
# |     a simple XFree86 Modeline calculator              |
# |     (c) 1997-2002, Szabolcs Rumi                      |   
# |                                                       |
# |     http://www.rtfm.hu/videogen                       |
# |                                                       |
# |     the videogen package is distributed under the     |
# |     GNU General Public License Version 2 (GPLv2)      |
# |                                                       |
# +-------------------------------------------------------+   





# installation directories

BINDIR = /usr/local/bin
MANDIR = /usr/local/man



# uncomment the definitions appropriate for your environment below

# Linux, FreeBSD, NetBSD, etc. (GNU cc, GNU make)
CC = gcc
CFLAGS = -Wall -O -g
CDEFS = -D_POSIX_SOURCE
LIBS = -lm

# SunOS 5.8 (Sun cc, GNU make)
#CC = cc
#CFLAGS = -O
#LIBS = -lm

# SGI IRIX 6.5 (MIPSpro cc, GNU make)
#CC = cc
#CFLAGS = -O
#LIBS = -lm

# Digital (Compaq, HP) UNIX 5.1A (DEC C, GNU Make)
#CC = cc
#CFLAGS = -w0 -O 
#LIBS = -lm

# HP-UX 10.20 (HP ANSI C, GNU Make)
#CC = cc
#CFLAGS = -Ae -O
#LIBS = -lm

# currently parser generation only works with GNU flex and bison,
# but the generated files are included in the source package so that
# you don't need any tools if you simply want to compile videogen

LEX = flex -i
YACC = bison -d





# ---------- do not change anything beyond this line ----------





# objects

OBJECTS = cfg.yy.o cfg.tab.o args.o checks.o misc.o videogen.o
INTERMEDIATE = cfg.tab.c cfg.tab.h cfg.yy.c



# targets

%.yy.c: %.l
	$(LEX) $<

%.tab.c %.tab.h: %.y
	$(YACC) $<

%.o: %.c
	$(CC) $(CFLAGS) $(CDEFS) -c $<

videogen: $(OBJECTS)
	$(CC) $(CFLAGS) $(CDEFS) -o videogen $(OBJECTS) $(LIBS)

cfg.yy.o: cfg.tab.h

.PRECIOUS: cfg.yy.c

clean:
	rm -f videogen $(OBJECTS)

distclean: clean
	rm -f core *~

realclean: distclean
	rm -f $(INTERMEDIATE)

all:
	$(MAKE) clean videogen

install:
	$(MAKE) all
	strip videogen
	cp videogen $(BINDIR)
	cp videogen.1x $(MANDIR)/man1
	chmod 755 $(BINDIR)/videogen
	chmod 644 $(MANDIR)/man1/videogen.1x

uninstall:
	rm -f $(BINDIR)/videogen
	rm -f $(MANDIR)/man1/videogen.1x





# EOF

## videogen 0.33

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,9 @@
 # |     videogen                                          |
 # |                                                       |
 # |     a simple XFree86 Modeline calculator              |
-# |     (c) 1997-2002, Szabolcs Rumi                      |   
+# |     (c) 1997-2003, Szabolcs Rumi                      |   
 # |                                                       |
-# |     http://www.rtfm.hu/videogen                       |
+# |     http://www.dynaweb.hu/opensource/videogen         |
 # |                                                       |
 # |     the videogen package is distributed under the     |
 # |     GNU General Public License Version 2 (GPLv2)      |
@@ -26,15 +26,15 @@
 # uncomment the definitions appropriate for your environment below
 
 # Linux, FreeBSD, NetBSD, etc. (GNU cc, GNU make)
-CC = gcc
-CFLAGS = -Wall -O -g
-CDEFS = -D_POSIX_SOURCE
+#CC = gcc
+#CFLAGS = -Wall -O -g
+#CDEFS = -D_POSIX_SOURCE
+#LIBS = -lm
+
+# SunOS 5.8/5.9 (Sun Forte cc, GNU make)
+CC = cc
+CFLAGS =
 LIBS = -lm
-
-# SunOS 5.8 (Sun cc, GNU make)
-#CC = cc
-#CFLAGS = -O
-#LIBS = -lm
 
 # SGI IRIX 6.5 (MIPSpro cc, GNU make)
 #CC = cc

=== debian/changelog ===
videogen (0.33-8) unstable; urgency=medium

  * Fix FTCBFS: (Closes: #928066)
    + Let dh_auto_build pass cross tools to make.
    + Don't force a build architecture CC.
    (patch by Helmut Grohne <helmut@subdivi.de>)

 -- Bas Zoetekouw <bas@debian.org>  Mon, 29 Apr 2019 12:54:24 +0200

videogen (0.33-7) unstable; urgency=low

  * Update packaging
  * Install upstream changelog in the correct place
  * Fix gcc warnings
  * Add recommends on dialog | whiptail | zenity to make the some_modes script
    useful by default

 -- Bas Zoetekouw <bas@debian.org>  Tue, 12 Feb 2019 09:27:19 +0100

videogen (0.33-6) unstable; urgency=low

  * Fix FTBFS: linking to libm is necessary on archs for which floor()
    is not a macro

 -- Bas Zoetekouw <bas@debian.org>  Thu, 09 Aug 2018 20:34:09 +0200

videogen (0.33-5) unstable; urgency=low

  * Update standards-version to 4.2.0
    - added Rules-Requires-Root: no to control
    - update copyright file to machine-parseble format
  * Update watch file

 -- Bas Zoetekouw <bas@debian.org>  Thu, 09 Aug 2018 17:28:38 +0200

videogen (0.33-4) unstable; urgency=low

  * Properly use specified CPPFLAGS

 -- Bas Zoetekouw <bas@debian.org>  Sun, 28 Dec 2014 21:06:40 +0100

videogen (0.33-3) unstable; urgency=low

  * Woops 2, fix install target

 -- Bas Zoetekouw <bas@debian.org>  Tue, 23 Dec 2014 09:58:17 +0100

videogen (0.33-2) unstable; urgency=low

  * Woops, don't forget to link against libm

 -- Bas Zoetekouw <bas@debian.org>  Tue, 23 Dec 2014 06:31:33 +0100

videogen (0.33-1) unstable; urgency=low

  * New upstream release
   - fixed a bug that caused maximal vfreq to be disregarded when desired
     vfreq was higher
   - added ability to use floating point value for max_dotclk in the
     configuration file
  * Fixes to some_modes script (Closes: #545921)
    Thanks to Ross Combs.
  * Switch to dpkg-source 3.0 (quilt) format (Closes: #670936)
    Thanks to Jari Aalto.
  * Switch to debhelper version 9
  * Bumped standards-version to 3.9.6

 -- Bas Zoetekouw <bas@debian.org>  Mon, 22 Dec 2014 11:39:09 +0100

videogen (0.32-5) unstable; urgency=low

  * Move to debhelper version 5
  * Add explicit copyright notice to copyright file
  * Move to standards-version 3.8.3:
    - add Homepage field to control file

 -- Bas Zoetekouw <bas@debian.org>  Fri, 03 Jul 2009 11:06:04 +0200

videogen (0.32-4) unstable; urgency=low

  * Fix debian/controlto refer to xorg.conf instead of XF86Config-4
  * Fix manpages to refer to Xorg and fix bad language
    Thanks to J. S. Bygott for the patches.
    [07_videogen_man.dpatch] (Closes: #410361)
  * Bump Standards-Version to 3.7.3 (no changes required)
  * Don't ignore errors in call to make clean, as suggested by lintian

 -- Bas Zoetekouw <bas@debian.org>  Fri, 14 Dec 2007 16:56:02 +0100

videogen (0.32-3) unstable; urgency=low

  * Updated policy to 3.7.2 (no changes needed)
  * Dpatchified debian/rules and build-depend on dpatch
  * Added improved error messages by Michael Sebastian
    (closes: #345620)

 -- Bas Zoetekouw <bas@debian.org>  Wed, 23 Aug 2006 14:40:39 +0200

videogen (0.32-2) unstable; urgency=low

  * New Maintainer.
  * Acknowledge NMU (thanks Julien!) (closes: #370596)
  * Added watch file

 -- Bas Zoetekouw <bas@debian.org>  Wed, 12 Jul 2006 14:11:14 +0200

videogen (0.32-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop installing files in /usr/X11R6 (Closes: #370596).
  * Switch to dh_installman instead of the deprecated dh_installmanpages.

 -- Julien Cristau <julien.cristau@ens-lyon.org>  Sat, 10 Jun 2006 04:51:12 +0200

videogen (0.32-1) unstable; urgency=low

  * New maintainer (closes: #122708).
  * New upstream version.
  * Removed menu entry; the program is no longer interactive.
  * Removed non-free Nvidia patch; included in upstream.
  * Upgraded debhelper compatibility version to 4 (no substantial changes).
  * Updated standards version to 3.6.0 (no changes).
  * New debian/NEWS file.
  * Resurrected and updated some_modes.sh script
    (deleted by upstream in version 0.30).
    - added some_modes.1x manpage.
  * Changed the program so that it prints usage error messages.
  * Eduard Bloch:
    - workaround in some_modes.sh to not choose too high value for hsp
    - fixed the copyright comments in videogen.1x, some_modes.1x

 -- Matthias Urlichs <smurf@smurf.noris.de>  Wed, 16 Jul 2003 05:47:25 +0200

videogen (0.21-10) unstable; urgency=low

  * Maintainer set to QA group.
  * Removed build-essentials depends
  * Policy set to 3.5.8

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 13 Jan 2003 13:48:27 +0100

videogen (0.21-9) unstable; urgency=low

  * Upstream not responding, made my own modifications to make it behave more
    Nvidia compatible. Closes: #113221
  * More resolutions in the script, more warning, more hints.

 -- Eduard Bloch <blade@debian.org>  Sun, 20 Jan 2002 18:15:49 +0100

videogen (0.21-8) unstable; urgency=low

  * fixed typo in Depends: :((

 -- Eduard Bloch <blade@debian.org>  Mon, 24 Sep 2001 21:26:41 +0200

videogen (0.21-7) unstable; urgency=low

  * fixed dialog dependency

 -- Eduard Bloch <blade@debian.org>  Wed, 19 Sep 2001 23:42:08 +0200

videogen (0.21-6) unstable; urgency=low

  * Argh, gdialog can work like dialog, removed checking for $DISPLAY

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Sep 2001 15:19:12 +0200

videogen (0.21-5) unstable; urgency=low

  * replaced stuck dependency on dialog and made some_modes.sh look for
    replacements, i.e. whiptail or gdialog
  * Improved description, copyright and control files
  * Added a comment about NVIDIA trouble to the BUGS file

 -- Eduard Bloch <blade@debian.org>  Sun, 16 Sep 2001 01:25:41 +0200

videogen (0.21-4) unstable; urgency=low

  * changed Build-Depends to make it compile on any arch (Thx to Matt Taggart)

 -- Eduard Bloch <blade@debian.org>  Mon,  9 Jul 2001 21:12:12 +0200

videogen (0.21-3) unstable; urgency=low

  * changed menu files, Closes: #88715



=== debian/control ===
Source: videogen
Section: x11
Priority: optional
Maintainer: Bas Zoetekouw <bas@debian.org>
Standards-Version: 4.3.0
Build-Depends: debhelper (>=11), flex, bison
Homepage: http://www.dynaweb.hu/opensource/videogen/
Rules-Requires-Root: no

Package: videogen
Architecture: any
Depends: bc, ${shlibs:Depends}, ${misc:Depends}
Recommends: dialog | whiptail | zenity
Description: Create arbitrary-res modelines using hardware parameters
 Videogen is a small but nice utility to create modelines you can
 insert into your xorg.conf and fb.modes files.
 .
 Modeline is created by telling the program the resolution you want
 and your video hardware parameters (maximum video adapter
 bandwidth, maximum HCF and VCF of the monitor etc).
 .
 Note that for most modern installations, Xorg will handle its own modesetting
 automatically, and you don't need videogen to generate any Modelines.
 .
 The tool 'some_modes' may help you to create some common modes fast.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+all qa=+all reproducible=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export DEB_CFLAGS_MAINT_APPEND  = -Wall -Wextra -Wpedantic -DYY_NO_UNPUT -DYY_NO_INPUT


%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- LIBS="${LDFLAGS} -lm" CFLAGS="${CPPFLAGS} ${CFLAGS}"

# don't run make install, which is broken; we install required vinaries directly using debian/*.install
override_dh_auto_install:

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

=== debian/watch ===
version=4

http://www.dynaweb.hu/opensource/videogen/ \
	download/videogen-([\d.]+)\.tar\.gz
